ObertObert
Snippets

Create Snippet

POST
/api/snippets
AuthorizationBearer <token>

In: header

Header Parameters

x-tenant-id?string|null
namestring
Lengthlength <= 200
bodystring
scope?string
Default"personal"
Value in"personal" | "team"

Response Body

application/json

application/json

curl -X POST "https://api.obert.io/api/snippets" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "body": "string"  }'
{
  "name": "string",
  "body": "string",
  "scope": "personal",
  "id": "string",
  "owner_user_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "attachments": []
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}